> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tembo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List audit log filter options

> Resource and operation pairs recorded for the authenticated organization. Requires organization:audit_log:read.



## OpenAPI

````yaml https://api.tembo.io/public-api/openapi/public get /v1/audit-logs/filters
openapi: 3.1.0
info:
  title: Tembo Public API
  description: >-
    Manage agents, sessions, repositories, and organization resources with the
    Tembo API.
  version: 1.0.0
servers:
  - url: https://api.tembo.io
    description: Tembo API
  - url: https://{deployment-origin}/api/public-api
    description: Self-hosted Tembo
    variables:
      deployment-origin:
        default: tembo.example.com
        description: Hostname of your self-hosted Tembo deployment
security: []
paths:
  /v1/audit-logs/filters:
    get:
      tags:
        - Audit logs
      summary: List audit log filter options
      description: >-
        Resource and operation pairs recorded for the authenticated
        organization. Requires organization:audit_log:read.
      operationId: listAuditLogFilters
      responses:
        '200':
          description: Recorded resource and operation pairs
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      type: object
                      properties:
                        resourceType:
                          type: string
                        operation:
                          type: string
                      required:
                        - resourceType
                        - operation
                required:
                  - items
        '403':
          description: Audit log read permission is required
      security:
        - apiKey: []
      x-codeSamples:
        - lang: typescript
          label: TypeScript SDK
          source: |
            import Tembo from '@tembo-io/sdk';

            const client = new Tembo();

            const auditLog = await client.auditLogs.listFilters();
        - lang: rust
          label: Rust SDK
          source: |
            use tembo_rs::*;

            let client = Tembo::from_env()?;

            let response = client.audit_logs().list_filters().send().await?;
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.